package com.gic.demo.common.utils;

import java.io.Serializable;

/**
 * rest接口响应
 *
 * @author zhurz
 */
public class GicDemoResponse implements Serializable {
    private static final long serialVersionUID = 1L;

    private int errorCode;
    private String message;
    private Object result;
    private String detailError;

    public GicDemoResponse() {
    }

    public GicDemoResponse(int errorCode, String message) {
        this.errorCode = errorCode;
        this.message = message;
    }

    public String getDetailError() {
        return detailError;
    }

    public void setDetailError(String detailError) {
        this.detailError = detailError;
    }

    public int getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(int errorCode) {
        this.errorCode = errorCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getResult() {
        return result;
    }

    public void setResult(Object result) {
        this.result = result;
    }
}
